CMSIS-NN: cmsis_nn_tile Struct Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Fields
cmsis_nn_tile Struct Reference

## Data Fields

int32_t | w
int32_t | h

## Description

CMSIS-NN object to contain the width and height of a tile

## Field Documentation

int32_t cmsis_nn_tile::h

Height

Referenced by arm_avgpool_s16(), arm_avgpool_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_fast_s16(), arm_convolve_s16(), arm_convolve_s8(), arm_convolve_wrapper_s16(), arm_convolve_wrapper_s16_get_buffer_size(), arm_convolve_wrapper_s8(), arm_convolve_wrapper_s8_get_buffer_size(), arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), arm_depthwise_conv_s8_opt(), arm_depthwise_conv_wrapper_s8(), arm_depthwise_conv_wrapper_s8_get_buffer_size(), arm_max_pool_s16(), and arm_max_pool_s8().

int32_t cmsis_nn_tile::w

Width

Referenced by arm_avgpool_s16(), arm_avgpool_s8(), arm_convolve_1_x_n_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_fast_s16(), arm_convolve_s16(), arm_convolve_s8(), arm_convolve_wrapper_s16(), arm_convolve_wrapper_s16_get_buffer_size(), arm_convolve_wrapper_s8(), arm_convolve_wrapper_s8_get_buffer_size(), arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), arm_depthwise_conv_s8_opt(), arm_depthwise_conv_wrapper_s8(), arm_depthwise_conv_wrapper_s8_get_buffer_size(), arm_max_pool_s16(), and arm_max_pool_s8().